## org.eclipse.jst.jsf.context.symbol
Interface IObjectSymbol

All Superinterfaces:
  ISymbol

All Known Subinterfaces:
  IBeanInstanceSymbol, IBeanPropertySymbol, IComponentSymbol, IInstanceSymbol, IPropertySymbol

    public interface IObjectSymbol

extends ISymbol

A representation of the model object 'IObject Symbol'.

Provisional API - subject to change

The following features are supported:

- `Type Descriptor`
- `Readable`
- `Writable`

See Also:
  `SymbolPackage.getIObjectSymbol()`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`ISymbol` `call(java.lang.String methodName, EList methodArguments, java.lang.String symbolName)`
`ITypeDescriptor` `coerce(java.lang.String typeSignature)`
`ITypeDescriptor` `getTypeDescriptor()` Returns the value of the 'Type Descriptor' reference
`boolean` `isReadable()` Returns the value of the 'Readable' attribute
`boolean` `isWritable()` Returns the value of the 'Writable' attribute
`void` `setReadable(boolean value)` Sets the value of the '`Readable`' attribute
`void` `setTypeDescriptor(ITypeDescriptor value)` Sets the value of the '`Type Descriptor`' reference
`void` `setWritable(boolean value)` Sets the value of the '`Writable`' attribute
`boolean` `supportsCoercion(java.lang.String typeSignature)`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getTypeDescriptor

    ITypeDescriptor getTypeDescriptor()

  Returns the value of the 'Type Descriptor' reference.

  If the meaning of the 'Type Descriptor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Descriptor' reference.
  See Also:
    `setTypeDescriptor(ITypeDescriptor)`, `SymbolPackage.getIObjectSymbol_TypeDescriptor()`

### setTypeDescriptor

    void setTypeDescriptor(ITypeDescriptor value)

  Sets the value of the '`Type Descriptor`' reference.

  Parameters:
    `value` - the new value of the 'Type Descriptor' reference.
  See Also:
    `getTypeDescriptor()`

### isReadable

    boolean isReadable()

  Returns the value of the 'Readable' attribute.

  If the meaning of the 'Readable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Readable' attribute.
  See Also:
    `setReadable(boolean)`, `SymbolPackage.getIObjectSymbol_Readable()`

### setReadable

    void setReadable(boolean value)

  Sets the value of the '`Readable`' attribute.

  Parameters:
    `value` - the new value of the 'Readable' attribute.
  See Also:
    `isReadable()`

### isWritable

    boolean isWritable()

  Returns the value of the 'Writable' attribute.

  If the meaning of the 'Writable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Writable' attribute.
  See Also:
    `setWritable(boolean)`, `SymbolPackage.getIObjectSymbol_Writable()`

### setWritable

    void setWritable(boolean value)

  Sets the value of the '`Writable`' attribute.

  Parameters:
    `value` - the new value of the 'Writable' attribute.
  See Also:
    `isWritable()`

### supportsCoercion

    boolean supportsCoercion(java.lang.String typeSignature)

  Parameters:
    `typeSignature` -
  Returns:
    true if this object can be coerced (is an instanceof) the type specified in the fully qualified typeSignature

### coerce

    ITypeDescriptor coerce(java.lang.String typeSignature)

  Parameters:
    `typeSignature` -
  Returns:
    a type descriptor supporting a class cast of this object to the request typeSignature, or null if such a cast is not supported. Returns non-null iff supportsCoercion(typeSignature) == false

### call

    ISymbol call(java.lang.String methodName,
                 EList methodArguments,
                 java.lang.String symbolName)

  Parameters:
    `methodName` -
    `methodArguments` -
    `symbolName` -
  Returns:
    a symbol resulting from calling the call or null if can't be determined. Generally, the symbolName should be used for the getName() value of the returned symbol, although implementers are not bound to this if a more meaningful value can be calculated.